<div class="card-body">



  <form #addNastavnikForm="ngForm">
    <div class="row">
      <div class="col-6">
        <div class="form-group">
          <label for="ime">
            <b>Ime</b>
          </label>
          <input class="form-control" name="ime" placeholder="Ime" required minlength="2" [(ngModel)]="nastavnik.ime"
            #ime="ngModel">
            <p class="text-danger" *ngIf="ime.invalid && (ime.dirty || ime.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="prezime">
            <b>Prezime</b>
          </label>
          <input class="form-control" name="prezime" required minlength="2" [(ngModel)]="nastavnik.prezime"
            #prezime="ngModel" placeholder="Prezime">
            <p class="text-danger" *ngIf="prezime.invalid && (prezime.dirty || prezime.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="email">
            <b>Email</b>
          </label>
          <input class="form-control" name="email" type="email" [(ngModel)]="nastavnik.email" #email="ngModel" required
            placeholder="Email">
            <p class="text-danger" *ngIf="email.invalid && (email.dirty || email.touched)">Polje ne sme biti prazno</p>
        </div>


      </div>
      <div class="col-6">
        <div class="form-group">
          <label for="kIme">
            <b>Korisnicko Ime</b>
          </label>
          <div class="input-group">
            <input class="form-control" (input)="onUsernameChange()" name="korisnickoIme" [(ngModel)]="nastavnik.korisnickoIme" #korisnickoIme="ngModel"
              placeholder="Korisnicko Ime" required>
            <div class="input-group-append">
              <span class="input-group-text" *ngIf="userNameAvailable == undefined">
                <button class="btn btn-link" (click)="onUsernameCheck()" placement="right" ngbTooltip="Check username availability">
                  <i class="text-primary fas fa-redo-alt"></i>
                </button>
              </span>
              <span class="input-group-text bg-success" *ngIf="userNameAvailable">
                <i class="far fa-check-circle text-light fa-2x"></i>
              </span>
              <span class="input-group-text bg-danger" *ngIf="userNameAvailable == false">
                <i class="fas fa-lock text-light fa-2x"></i>
              </span>
            </div>
          </div>
          <p class="text-danger" *ngIf="korisnickoIme.invalid && (korisnickoIme.dirty || korisnickoIme.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="sifra">
            <b>Sifra</b>
          </label>
          <input class="form-control" placeholder="Sifra" type="password" name="sifra" [(ngModel)]="nastavnik.sifra" required
            #sifra="ngModel">
            <p class="text-danger" *ngIf="sifra.invalid && (sifra.dirty || sifra.touched)">Polje ne sme biti prazno</p>
        </div>
        
      </div>
    </div>
    <div class="row">
      <div class="form-group col-6">
        <label for="zvanje">
          <b>Zvanje</b>
        </label>
        <select name="zvanje" class="form-control" [(ngModel)]="nastavnik.zvanje">
          <option *ngFor="let zvanje of zvanja" value="{{zvanje.id}}">
            {{zvanje.naziv}}
          </option>
        </select>
      </div>
    </div>
  </form>


</div>


<div class="card-footer">
  <div class="row">
    <div class="col-2">
      <button class="btn btn-success" (click)="onAddClick()" [disabled]="addNastavnikForm.invalid || !userNameAvailable">Add Nastavnik</button>
    </div>
    <div class="col-8"></div>
    <div class="col-1"></div>
    <div class="col-1">
      <button class="btn btn-info" (click)="onBack()">Back</button>
    </div>
  </div>
</div>